## org.apache.commons.collections.functors
Class AnyPredicate

    java.lang.Object
      org.apache.commons.collections.functors.AnyPredicate

All Implemented Interfaces:
  Predicate, PredicateDecorator, Serializable

public final class AnyPredicate
extends Object
implements Predicate, PredicateDecorator, Serializable

Predicate implementation that returns true if any of the predicates return true.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.6 $ $Date: 2004/05/31 16:43:17 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`AnyPredicate(Predicate[] predicates)` Constructor that performs no validation.

Method Summary
`boolean` `evaluate(Object object)` Evaluates the predicate returning true if any predicate returns true.
`static Predicate` `getInstance(Collection predicates)` Factory to create the predicate.
`static Predicate` `getInstance(Predicate[] predicates)` Factory to create the predicate.
`Predicate[]` `getPredicates()` Gets the predicates, do not modify the array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnyPredicate

    public AnyPredicate(Predicate[] predicates)

  Constructor that performs no validation. Use `getInstance` if you want that.

Parameters:
  `predicates` - the predicates to check, not cloned, not null

Method Detail

### getInstance

    public static Predicate getInstance(Predicate[] predicates)

  Factory to create the predicate.

  Parameters:
    `predicates` - the predicates to check, cloned, not null
  Returns:
    the `any` predicate
  Throws:
    `IllegalArgumentException` - if the predicates array is null
    `IllegalArgumentException` - if the predicates array has less than 2 elements
    `IllegalArgumentException` - if any predicate in the array is null

### getInstance

    public static Predicate getInstance(Collection predicates)

  Factory to create the predicate.

  Parameters:
    `predicates` - the predicates to check, cloned, not null
  Returns:
    the `all` predicate
  Throws:
    `IllegalArgumentException` - if the predicates array is null
    `IllegalArgumentException` - if any predicate in the array is null
    `IllegalArgumentException` - if the predicates array has less than 2 elements

### evaluate

    public boolean evaluate(Object object)

  Evaluates the predicate returning true if any predicate returns true.

  Specified by:
    `evaluate` in interface `Predicate`
  Parameters:
    `object` - the input object
  Returns:
    true if any decorated predicate return true

### getPredicates

    public Predicate[] getPredicates()

  Gets the predicates, do not modify the array.

  Specified by:
    `getPredicates` in interface `PredicateDecorator`
  Returns:
    the predicates
  Since:
    Commons Collections 3.1

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.